'use strict';

const {BanRecord} = require('../../../models');

module.exports = async (req, res) => {
    if (!req.user.roles.intBanRecordsReader) {
        res.status(403).send({status: 'Unauthorized'});
        return;
    }

    const records = await BanRecord.query();

    res.send({
        status: 'ok',
        records
    });
};
